## view
Class GoResponse

    java.lang.Object
      view.GoResponse

Direct Known Subclasses:
  GoPage, Redirection

    public abstract class GoResponse

extends java.lang.Object

Field Summary
`private java.util.ArrayList<javax.servlet.http.Cookie>` `cookies`

Constructor Summary
`GoResponse()` Constructs the response.

Method Summary
`void` `addCookie(javax.servlet.http.Cookie cookie)` Adds a cookie to the response.
`javax.servlet.http.Cookie[]` `getCookies()` Returns an array of cookies in the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cookies

    private final transient java.util.ArrayList<javax.servlet.http.Cookie> cookies

Constructor Detail

### GoResponse

    public GoResponse()

  Constructs the response.

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Adds a cookie to the response.

  Parameters:
    `cookie` - the cookie to add.

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Returns an array of cookies in the response.